# Sign Struct Reference

Inheritance diagram for Sign:

## Public Member Functions
| Sign (Owner owner=INVALID_OWNER)
| Creates a new sign.
| ~Sign ()
| Destroy the sign.
void | UpdateVirtCoord ()
| Update the coordinate of one sign.
## Data Fields
char * | name
ViewportSign | sign
int32 | x
int32 | y
byte | z
OwnerByte | owner

## Detailed Description

Definition at line 23 of file signs_base.h.

The documentation for this struct was generated from the following files:

- src/signs_base.h
- src/signs.cpp